import Navigation from "@components/Navigation";
import {Outlet, useLocation} from "react-router-dom";
import {Box, Toolbar} from "@mui/material";
import Footer from "@components/Footer";
import {useEffect} from "react";
import routes from "@/common/routes";
import footerRoutes from "@/common/routes/footer.jsx";

export const Root = () => {
    const location = useLocation();

    useEffect(() => {
        [...routes, ...footerRoutes].forEach(route => {
            if (route.path === location.pathname) document.title = `LicenseAPI - ${route.name}`;
        });
    }, [location]);

    return (<>
        <Navigation/>

        <Box height="100vh" display="flex" flexDirection="column" sx={{ml: 5, mr: 5}}>
            <Toolbar/>
            <Outlet/>

            <Footer/>
        </Box>
    </>);
}